KJL - Support #1562

ESS Overtime
09/07/2022 03:24 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/07/2022
Priority: Urgent Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Pak Yusuf,

Mohon dibantu untuk ESS Overtime, ada beberapa item yang perlu dibantu oleh developer.

. On Behalf di lock dengan membaca default requester 1D
. EmployeelD - get ID karyawan yang merupakan bawahan dari requester ID
. EmployeeName - otomatis mengambil nama karyawan dari employeelD yang muncul
. DateFrom - default today's date (setting sudah namun belum get tanggal hari ini)
. DateTo - default today's date (setting sudah namun belum get tanggal hari ini)
. Duration - otomatis menghitung durasi dari end time - start time
. OvertimeType - otomatis terisi After Work Schedule (defaultValue = A). Namun ada bugs di grid perlu di klik baru mau muncul
default value nya.
8. DayType
-baca date from, date to
-cek PHRPAQ025 baca work schedule
-cek PHRTMWSCAL baca day type
-day type otomatis terisi di grid ketika employeelD terpilih
9. DayBeforeFlag
-baca date from, date to. Jika berubah hari maka DayBeforeFlag otomatis YES
-baca date from, date to. Jika di hari yang sama maka DayBeforeFlag otomatis NO

NOoO Ok WD =

Port: http://remote.minovais.com:31137/

Terima kasih.

Sama dengan http://remote.minovais.com:3000/redmine/issues/1561

History

#1 - 09/07/2022 03:25 PM - Fiona Avangeline Jonathan
- Description updated

- Status changed from New to Assigned

#2 - 09/12/2022 08:54 AM - Mr. Yusuf
- Assignee changed from Mr. Yusuf to M Azid Wahyudi

#3 - 09/21/2022 06:03 PM - M Azid Wahyudi
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear johanes , ini kata mba yaya engga ada cakupan

makasih

#4 - 09/30/2022 09:42 AM - Johanes Christian Kurni

- Status changed from Revise to Closed
